<?php
final class DModelLocalisationIbge extends Model {

  public function getMunicipios($zone_id) {
    $query = $this->db->query("SELECT uf_municipio_ibge_id,zone_id,uf,codigo_uf,municipio,codigo_municipio FROM oc_uf_municipio_ibge WHERE zone_id = " . (int)$zone_id );

    return $query->rows;
  }

  public function getEstadoCidade($zone_id, $codigo_municipio){
    $query = $this->db->query("SELECT uf_municipio_ibge_id FROM oc_uf_municipio_ibge WHERE zone_id = " . (int)$zone_id." and codigo_municipio = ".(int)$codigo_municipio );
    return $query->row;
  }

  public function getCidadePorCodigo($codigo_municipio){
    $query = $this->db->query("SELECT municipio FROM oc_uf_municipio_ibge WHERE codigo_municipio = ".(int)$codigo_municipio );
    return $query->row['municipio'];
  }  

}
